package com.muyu.system.enums;

import java.util.Arrays;

/**
 * @Author: DongZeLiang
 * @date: 2024/9/20
 * @Description: 车辆报文值类型
 * @Version: 1.0
 */
public enum MessageTemplateValueType {
    FIXED("fixed", "固定"),
    INTERVAL("interval", "区间"),
    EL("el","表达式");

    /**
     * 编码
     */
    private final String code;

    /**
     * 标签
     */
    private final String label;

    MessageTemplateValueType (String code, String label) {
        this.code = code;
        this.label = label;
    }

    public String code () {
        return code;
    }

    public String label () {
        return label;
    }

    public static MessageTemplateValueType get(String code){
        return Arrays.stream(MessageTemplateValueType.values())
                .filter(valueType -> valueType.code.equals(code))
                .findFirst().orElse(null);
    }
}
