package com.muyu.web.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.web.domain.VehicleInfo;

import java.util.List;

/**
 * <p>
 * 车辆 服务类
 * </p>
 *
 * @author DongZeLiang
 * @since 2022-07-05
 */
public interface VehicleInfoService extends IService<VehicleInfo> {

    /**
     * 根据数量生成测试车辆
     *
     * @param sum               数量
     * @param messageTemplateId
     */
    void generate(Integer sum, Long messageTemplateId);

    /**
     * 创建IVN
     *
     * @param vinList            VIN 集合
     * @param messageTemplateId 模板ID
     */
    void create (List<String> vinList, Long messageTemplateId);

    /**
     * 同步数据库
     */
    void syncDb();

    /**
     * 通过VIN删除车辆
     * @param vin vin
     */
    void delete(String vin);
}
